---
title: Get Chat | API Docs
---

GET

/api/partner/v2/chats/{chat\_id}

Select code sample cURL (shell:curl)

```
const url = 'https://api.linqapp.com/api/partner/v2/chats/1';
const options = {
  method: 'GET',
  headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}
};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```
curl --request GET \
  --url https://api.linqapp.com/api/partner/v2/chats/1 \
  --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'
```

- Production server api.linqapp.com/api/partner/v2/chats/{chat\_id}

Retrieves details for a specific chat

## Authorizations

- **[ApiKeyAuth](/v2/api/#apikeyauth/index.md)**

## Parameters

### Path Parameters

**chat\_id**

required

integer

The chat ID

## Responses

### 200

Successful response

Media type application/json

object

**data**

object

**id**

integer

**display\_name**

The display name for the chat. Returns a manually set group name if present, otherwise a comma-separated list of participant names/phone numbers.

string

**service**

The messaging service used for this chat

string

Allowed values: iMessage SMS RCS

**group**

Whether this is a group chat

boolean

**message\_count**

Number of messages in the chat. For newly created chats, this will be 1 (the initial message). For existing chats, this could be any number.

integer

**chat\_handles**

Array\<object>

object

**id**

integer

**phone\_number**

The phone number or email identifier for this participant

string

**service**

The messaging service for this handle

string

Allowed values: iMessage SMS RCS

**joined\_at**

string format: date-time

##### Example

```
{
  "data": {
    "id": 45,
    "display_name": "John Doe, Jane Smith",
    "service": "iMessage",
    "group": false,
    "message_count": 15,
    "chat_handles": [
      {
        "id": 123,
        "phone_number": "+15551234567",
        "service": "iMessage",
        "joined_at": "2025-05-21T15:30:00.000-05:00"
      },
      {
        "id": 124,
        "phone_number": "+15559876543",
        "service": "iMessage",
        "joined_at": "2025-05-21T15:30:00.000-05:00"
      }
    ]
  }
}
```

### 404

Chat not found

Media type application/json

Standard error format used by most endpoints (render\_error format)

object

**errors**

Array\<object>

object

**status**

integer

**code**

string

**title**

string

**detail**

string

##### Example

```
{
  "errors": [
    {
      "status": 404,
      "code": "not_found",
      "title": "Not Found",
      "detail": "Chat not found"
    }
  ]
}
```
